{% extends '::base_admin.html.twig' %}
{% block body %}
<div class="content">
  <div class="content-fluid">
    <div class="row">
      <div class="col-md-12">
        <a href="{{path('ev_admin_recompense_add')}}" class="btn btn-info btn-fill btn-wd">Ajouter une recompense</a>
      </div>
    </div><br/>
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="header">
            <h4 class="title">Recompenses</h4>
          </div>
          <div class="content table-responsive table-full-width">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th>ID</th>
                  <th>Image</th>
                  <th>Donateur</th>
                  <th>Code</th>
                  <th>Description</th>
                  <th>Point</th>
                  <th>Quantite</th>
                  <th>Expiration</th>
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                {% for r in recompenses %}
                <tr>
                  <td>{{loop.index}}</td>
                  <td>{% if r.image %}<img src="{{asset(r.image.webPath)}}" style="width: 50px"/>{% endif %}</td>
                  <td>{{r.partenaire.nom}}</td>
                  <td>{{r.code}}</td>
                  <td>{{r.description}}</td>
                  <td>{{r.nbrePoint}}</td>
                  <td>{{r.quantite}}</td>
                  <td>{{r.dateExpiration|date('d-m-Y')}}</td>
                  <td>-</td>
                </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
{% endblock %}
